Package org.kie.api.builder.model

# Enum Class ListenerModel.Kind

java.lang.Object
java.lang.Enum<ListenerModel.Kind>
org.kie.api.builder.model.ListenerModel.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<ListenerModel.Kind>`, `Constable`

Enclosing interface:
  ListenerModel

public static enum ListenerModel.Kind extends Enum<ListenerModel.Kind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGENDA_EVENT_LISTENER`
  `PROCESS_EVENT_LISTENER`
  `RULE_RUNTIME_EVENT_LISTENER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ListenerModel.Kind`
  `fromString(String name)`
  `String`
  `toString()`
  `static ListenerModel.Kind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListenerModel.Kind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGENDA_EVENT_LISTENER

    public static final ListenerModel.Kind AGENDA_EVENT_LISTENER

  - ### RULE_RUNTIME_EVENT_LISTENER

    public static final ListenerModel.Kind RULE_RUNTIME_EVENT_LISTENER

  - ### PROCESS_EVENT_LISTENER

    public static final ListenerModel.Kind PROCESS_EVENT_LISTENER

- ## Method Details

  - ### values

    public static ListenerModel.Kind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ListenerModel.Kind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ListenerModel.Kind>`

  - ### fromString

    public static ListenerModel.Kind fromString(String name)